/*
 * JumpMessage.cpp
 *
 *  Created on: Oct 20, 2018
 *      Author: fredrick
 */

#include "JumpMessage.h"

namespace JamSpook {
namespace messages {


JumpMessage::JumpMessage(const vec3 position):
        Message(IDCache::add("JumpMessage")),
        mPosition(position)
{}

JumpMessage::~JumpMessage()
{}

const vec3 JumpMessage::getPosition() const
{
    return mPosition;
}

} // namespace messages
} // namespace JamSpook
